Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::ContentInspectConfigEx Struct Reference

`#include <content_inspect_i.h>`

## Public Member Functions
ContentInspectConfigEx & | operator= (const ContentInspectConfigEx &rth)
| ContentInspectConfigEx (const ContentInspectConfigEx &rth)
| ContentInspectConfigEx (bool enable, const ContentInspectConfig &config, rtc::IFileUploaderService *uploader, CONTENT_INSPECT_CLOUD_TYPE cloudWorkType)
| ContentInspectConfigEx ()

## Public Attributes
bool | enable
CONTENT_INSPECT_WORK_TYPE | ContentWorkType
CONTENT_INSPECT_DEVICE_TYPE | DeviceWorkType
CONTENT_INSPECT_CLOUD_TYPE | CloudWorkType
std::string | extraInfo
std::string | serverConfig
rtc::IFileUploaderService * | fileUploader
ContentInspectModuleEx | modules [MAX_CONTENT_INSPECT_MODULE_COUNT]
int | moduleCount

## Detailed Description

Definition of ContentInspectConfig.

## Constructor & Destructor Documentation

## ◆ ContentInspectConfigEx() [1/3]

agora::media::ContentInspectConfigEx::ContentInspectConfigEx | ( | const ContentInspectConfigEx & | rth | ) |
| inline

## ◆ ContentInspectConfigEx() [2/3]

agora::media::ContentInspectConfigEx::ContentInspectConfigEx | ( | bool | enable,
|  | const ContentInspectConfig & | config,
|  | rtc::IFileUploaderService * | uploader,
|  | CONTENT_INSPECT_CLOUD_TYPE | cloudWorkType )
| inline

## ◆ ContentInspectConfigEx() [3/3]

agora::media::ContentInspectConfigEx::ContentInspectConfigEx | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

ContentInspectConfigEx & agora::media::ContentInspectConfigEx::operator= | ( | const ContentInspectConfigEx & | rth | ) |
| inline

## Member Data Documentation

## ◆ enable

bool agora::media::ContentInspectConfigEx::enable

## ◆ ContentWorkType

CONTENT_INSPECT_WORK_TYPE agora::media::ContentInspectConfigEx::ContentWorkType

video moderation work type.

## ◆ DeviceWorkType

CONTENT_INSPECT_DEVICE_TYPE agora::media::ContentInspectConfigEx::DeviceWorkType

the type of video moderation on device.

## ◆ CloudWorkType

CONTENT_INSPECT_CLOUD_TYPE agora::media::ContentInspectConfigEx::CloudWorkType

the type of video moderation on device.

## ◆ extraInfo

std::string agora::media::ContentInspectConfigEx::extraInfo

## ◆ serverConfig

std::string agora::media::ContentInspectConfigEx::serverConfig

@technical preview

## ◆ fileUploader

rtc::IFileUploaderService* agora::media::ContentInspectConfigEx::fileUploader

## ◆ modules

ContentInspectModuleEx agora::media::ContentInspectConfigEx::modules[MAX_CONTENT_INSPECT_MODULE_COUNT]

The content inspect modules, max length of modules is 32. the content(snapshot of send video stream, image) can be used to max of 32 types functions.

## ◆ moduleCount

int agora::media::ContentInspectConfigEx::moduleCount

The content inspect module count.